package com.qmth.cqb.paper.service;

import org.springframework.data.domain.Page;

import cn.com.qmth.examcloud.common.uac.entity.AccessUser;

import com.qmth.cqb.paper.model.ExportStructure;

/**
 * @author  	chenken
 * @date    	2017年7月12日 下午4:26:36
 * @company 	QMTH
 * @description ExportStructureService.java
 */
public interface ExportStructureService {
	
	/**
	 * 保存导出结构
	 * @param exportStructure
	 */
	public void saveExportStructure(ExportStructure exportStructure,AccessUser user);
	/**
	 * 查询导出结构
	 * @param exportStructure
	 * @return
	 */
	public ExportStructure findByExportStructure(ExportStructure exportStructure);
	/**
	 * 分页查询
	 * @param exportStructure
	 * @param curPage
	 * @param pageSize
	 * @return
	 */
	public Page<ExportStructure> findPageByExportStructure(ExportStructure exportStructure,int curPage,int pageSize);
}

