package com.qmth.cqb.utils.enums;
/**
 * @author  	chenken
 * @date    	2017年7月13日 下午4:34:29
 * @company 	QMTH
 * @description 考试 文件类型
 */
public enum ExamFileType {
	/**
	 * 试卷
	 */
	PAPER,
	/**
	 * 答案
	 */
	ANSWER,
	/**
	 * ZIP文件
	 * 试卷结构
	 * 主观题Excel、客观题Excel
	 */
	PAPER_STRUCTURE,
	/**
	 * 音频文件
	 */
	AUDIO,
	/**
	 * 加密数据包
	 */
	ENCRYPT_PACKAGE
}

